package
{
	import mx.core.*;
	import mx.collections.*;
	import flash.geom.*
	
	public class Entity
	{
		public var pos:Point;
		public var speed:Point;
		public var sprite:int;
		public var alive:Boolean;
		
		public function Entity()
		{
			pos = new Point(0,0);
			speed = new Point(0,0);
			sprite = -1;
			alive = true;
		}
		
		public function update():void
		{
			pos.x += speed.x;
			pos.y += speed.y;
		}
		
		public function render():void
		{
			if(sprite != -1)			
				BlitRenderer.getInstance().drawSprite(sprite, pos.x, pos.y);
		}		
	}
}