package
{
	import mx.core.*;
	import mx.collections.*;
	
	public class EntityManager
	{
		private static var _instance:EntityManager;
		
		private var entities:Array;
		
		public function EntityManager()
		{
			entities = new Array();
		}
		
		public function push(entity:Entity):void
		{
			entities.push(entity);
		}
		
		public function update():void
		{
			for(var i:int=0; i<entities.length; i++)
				entities[i].update();
			entities = entities.filter(isAlive);
		}
		
		public function render():void
		{
			for(var i:int=0; i<entities.length; i++)
				entities[i].render();
		}
		
		private function isAlive(element:*, index:int, arr:Array):Boolean
		{
			return element.alive;
		}		
		
		public static function getInstance():EntityManager
		{
			if(! EntityManager._instance)
				EntityManager._instance = new EntityManager();
			return EntityManager._instance;
		}   		
	}
}