package
{
	import mx.core.*;
	import mx.collections.*;
	import flash.events.*;
	import flash.geom.*	
	
	public class Frontend
	{
		private static var _instance:Frontend;
		
		private var screenStack:Array;

		public function Frontend()
		{
			screenStack = new Array;
			addScreen(MainMenu.getInstance());
		}
		
		public function update():void
		{
			if(screenStack.length)
				screenStack[screenStack.length-1].update();			
		}
		
		public function render():void
		{
			if(screenStack.length)
				screenStack[screenStack.length-1].render();
		}
		
		public function addScreen(screen:Screen):void
		{
			screenStack.push(screen);
			screen.onEnter();
		}
		
		public function goBackScreen():void
		{
			screenStack.pop();
			screenStack[screenStack.length-1].onEnter();
		}
		
		public function swapScreen(screen:Screen):void
		{
			screenStack.pop();
			screenStack.push(screen);
			screen.onEnter();
		}
		
		public static function getInstance():Frontend
		{
			if(! Frontend._instance)
				Frontend._instance = new Frontend();
			return Frontend._instance;			
		}				
	}			
}