package
{
	import mx.core.*;
	import mx.collections.*;
	
	public class MainMenu extends Screen
	{
		private static var _instance:MainMenu;
		
		private static var MAINMENU_PLAY:int = 0;	
		
		private var listMenu:ListMenu;
		private var testFrame:int;		
			
		public function MainMenu()
		{
			listMenu = new ListMenu();
			listMenu.addItem("Menu Item");
			testFrame = 0;
		}
		
		public override function update():void
		{
			testFrame = (testFrame+1)%32;
			
			var itemSelected:int = listMenu.update();
			if(itemSelected == -1)
				return;

			switch(itemSelected)
			{
				case MAINMENU_PLAY:
					SoundManager.getInstance().playSound(SoundManager.SOUND_TEST);
					break;
			}			
		}
		
		public override function render():void
		{
			BlitRenderer.getInstance().drawFontText("TEST", BlitRenderer.SCR_WIDTH/2, 0, true, 0xffffffff, 25);
			
			var x:int = 0;
			while(x < BlitRenderer.SCR_WIDTH)
			{				
				BlitRenderer.getInstance().drawSprite(BlitRenderer.SPRITE_TEST, x, 40+x/16, testFrame/4);
				x+=16;
			}
			listMenu.render();			
		}		

		public static function getInstance():MainMenu
		{
			if(! MainMenu._instance)
				MainMenu._instance = new MainMenu();
			return MainMenu._instance;			
		}			
	}	
}